/* class comment */!!

inherit(Object, #CLILogFileNode, #(filename), 2, nil)!!

now(class(CLILogFileNode))!!

now(CLILogFileNode)!!

/* Compile the node into Actor source. */
Def CLICodeCompile(self)
{
  if (filename) 
    /* modify log file name */
    CLICodeCompile("setCliStatusValue(self, ");
    CLICodeCompile("setLogFileName(self, ");
    CLICodeCompile(filename);
    CLICodeCompile(")) ");
  else 
    /* display current log file name */
    CLICodeCompile("setCliStatusValue(self, showLogFileName(self)) ");
  endif;
}!!

Def init(self, file)
{
  filename := file;
}!!
